﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void OnDifference(object sender, EventArgs e)
    {
        lblResult.Text = string.Empty;
        string fromData = txtFrom.Text.Trim();
        string toData = txtTo.Text.Trim();
        lblResult.Text = this.timecal(fromData, toData);
    }

    private string timecal(string startDate, string endDate)
    {
        DateTime fromDate = DateTime.Parse(startDate);
        DateTime toDate = DateTime.Parse(endDate);
        if (fromDate > toDate)
        {
            toDate = toDate.AddDays(1);
        }
        string diff = "";
        TimeSpan ts = toDate - fromDate;
        if (ts.Hours > 0)
        {
            if (ts.Hours / 8 > 0)
            {
                diff = string.Format("{0} days {1} hours {2} minutes",
                    Math.Round(Convert.ToDecimal(ts.Hours / 8)),
                    ts.Hours - (Math.Round(Convert.ToDecimal(ts.Hours / 8)) * 8),
                    ts.Minutes);
            }
            else if (ts.Hours / 8 == 0)
            {
                diff = string.Format("{0} hours {1} minutes", ts.Hours, ts.Minutes);
            }
        }
        else if (ts.Minutes > 0)
        {
            diff = string.Format("{0} minutes", ts.Minutes);
        }

        return diff;
    }
}