﻿
Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub OnDifference(ByVal sender As Object, ByVal e As EventArgs)
        lblResult.Text = String.Empty
        Dim fromData As String = txtFrom.Text.Trim()
        Dim toData As String = txtTo.Text.Trim()
        lblResult.Text = Me.timecal(fromData, toData)
    End Sub

    Private Function timecal(ByVal startDate As String, ByVal endDate As String) As String
        Dim fromDate As DateTime = DateTime.Parse(startDate)
        Dim toDate As DateTime = DateTime.Parse(endDate)
        If fromDate > toDate Then
            toDate = toDate.AddDays(1)
        End If

        Dim diff As String = ""
        Dim ts As TimeSpan = toDate - fromDate
        If ts.Hours > 0 Then
            If ts.Hours / 8 > 0 Then
                diff = String.Format("{0} days {1} hours {2} minutes",
                                     Math.Round(Convert.ToDecimal(ts.Hours / 8)),
                                     ts.Hours - (Math.Round(Convert.ToDecimal(ts.Hours / 8)) * 8),
                                     ts.Minutes)
            ElseIf ts.Hours / 8 = 0 Then
                diff = String.Format("{0} hours {1} minutes", ts.Hours, ts.Minutes)
            End If
        ElseIf ts.Minutes > 0 Then
            diff = String.Format("{0} minutes", ts.Minutes)
        End If

        Return diff
    End Function
End Class
